Create service

Prev Next

Available in Classic and VPC

Create a new service to use the AiTEMS service.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /services

Request headers

For information about the headers common to all AiTEMS APIs, see AiTEMS request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Required Service name
  • Enter 3-20 characters by combining English letters, numbers, and special characters "_" and "-".
  • The string must start with an English letter or "_".
description String Optional Service description
  • 0-100 characters
type String Optional Service type
  • batch (default) | interval
    • batch: One-time training upon execution
    • interval: Retrain at regular intervals after execution

Request example

The request example is as follows:

curl --location --request POST 'https://aitems.apigw.ntruss.com/api/v1/services' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "name": "service",
    "description": "test",
    "type": "batch"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
serviceId String - Service ID
name String - Service name
description String - Service description
status String - Service status
  • scheduled | scheduledLearning | learnable | learning | deleting | deleted | disable | drafted | requestLearning | datasetRequired
    • scheduled: Scheduled
    • scheduledLearning: Scheduled training in progress
    • learnable: Trainable
    • learning: Training in progress
    • deleting: Deleting
    • deleted: Deleted
    • disable: Training unavailable
    • drafted: Draft status
    • requestLearning: Training requested
    • datasetRequired: No dataset specified after service creation
datasets Array - Dataset information configured in the service: datasets
hpConfig Object - Hyperparameter optimization (HPO) settings information
hpConfig.is_enabled Boolean - HPO configuration status
  • true | false
    • true: HPO configured, optimal training models can be implemented
    • false: HPO not configured, trained by AiTEMS' own internal algorithms
hpConfig.{option} String, Long, Boolean - Configured HPO value
  • See HPO for value details.
infers Array - Training result information: infers
  • Display only if type is interval.
createdDate String - Service creation date and time
updatedDate String - Last update date and time of the service
type String - Service type
  • batch | interval
    • batch: One-time training upon execution
    • interval: Retrain at regular intervals after execution

datasets

The following describes datasets.

Field Type Required Description
datasetId String - Dataset ID set to the service
type String - Dataset type set to the service
  • user | item | interaction
    • user: Data containing user information (age, gender, etc.)
    • item: Data with product-related information (price, release date, category, etc.)
    • interaction: Data that captures the history of interactions between users and products
name String - Dataset name set to the service
schemaName String - Dataset schema name set to the service
status String - Status of dataset set to the service
  • learnable | disable | uploading | updateRequired
    • learnable: Training available
    • disable: Training unavailable
    • uploading: Uploading
    • updatedRequired: Updated dataset registration required (automatically registered when training)
createdDate String - Creation date and time of dataset set to the service
updatedDate String - Last update date and time of dataset set to the service

infers

The following describes infers.

Field Type Required Description
dataType String - Dataset type of training result
  • user | item | interaction
    • user: Data containing user information (age, gender, etc.)
    • item: Data with product-related information (price, release date, category, etc.)
    • interaction: Data that captures the history of interactions between users and products
trainVersion String - Training result version
status String - Training result status
  • enable | waiting | pending | processing | updateFailed | disable
    • enable: Update available
    • waiting: Waiting for update
    • pending: Pending update
    • processing: Updating
    • updateFailed: Update failed
    • disable: Update unavailable
rowCount String - Result data count

Response status codes

For information about the HTTP status codes common to all AiTEMS APIs, see AiTEMS response status codes.

Response example

The response example is as follows:

{
    "serviceId": "fboyb******",
    "name": "service",
    "description": "test",
    "status": "datasetRequired",
    "datasets": [],
    "hpConfig": {
        "is_enabled": false
    },
    "infers": [],
    "createdDate": "2024-07-29T16:17:37.235",
    "updatedDate": "2024-07-29T16:17:37.235",
    "type": "batch"
}